# $Id$
# Authority: matthias

%define real_name DBD-Oracle
%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary: Oracle database driver for the DBI module
Name: perl-DBD-Oracle
Version: 1.16
Release: 2.2.el4
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/DBD-Oracle/
Source0: http://www.cpan.org/modules/by-module/DBD/DBD-Oracle-%{version}.tar.gz
Source1: http://jeanchristophe.duber.free.fr/dbd_oracle_instantclient_linux/Makefile-instantclient.PL
Patch: DBD-Oracle-1.16-instantclient.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl(DBI)
BuildRequires: oracle-instantclient-devel

%description
Oracle database driver for the DBI module.


%prep
%setup -n %{real_name}-%{version}
%patch -p1 -b .instantclient
%{__cp} -a %{SOURCE1} .


%build
%{__perl} Makefile-instantclient.PL \
    INSTALLDIRS="vendor" \
    PREFIX=%{buildroot}%{_prefix}
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"


%install
%{__rm} -rf %{buildroot}
%{__make} install \
    INSTALLDIRS="vendor" \
    PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -a \( -name perllocal.pod -o -name .packlist \
    -o \( -name '*.bs' -a -empty \) \) -exec %{__rm} -f {} \;


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-, root, root, 0755)
%doc Changes README README.clients README.linux README.utf8 Todo
%exclude %{_bindir}/ora_explain
%{perl_vendorarch}/auto/DBD/Oracle/
%{perl_vendorarch}/DBD/Oracle/
%{perl_vendorarch}/DBD/Oracle.pm
%{perl_vendorarch}/DBD/Oraperl.pm
%exclude %{_mandir}/man1/ora_explain.1*
%{_mandir}/man3/DBD*.3*


%changelog
* Mon Apr 11 2005 Matthias Saou <http://freshrpms.net/> 1.16-2
- Remove oracle-instantclient-wrapper build dep.

* Tue Mar 15 2005 Matthias Saou <http://freshrpms.net/> 1.16-1
- Initial RPM package.
- Exclude ora_explain as it requires perl(Tk).

